"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfig = getConfig;
const responseByAppId = new Map();
async function getConfig(heroku, app) {
    if (!responseByAppId.has(app)) {
        const promise = heroku.get(`/apps/${app}/config-vars`);
        responseByAppId.set(app, promise);
    }
    const result = await responseByAppId.get(app);
    return result?.body;
}
