import * as Heroku from '@heroku-cli/schema';
export type Link = {
    attachment_name?: string;
    created_at: string;
    message: string;
    name: string;
    remote?: Link;
};
export type AddOnWithRelatedData = Required<Heroku.AddOnAttachment['addon']> & {
    attachment_names?: string[];
    links?: Link[];
    plan: Required<Heroku.AddOn['plan']>;
};
export type AddOnAttachmentWithConfigVarsAndPlan = Required<Heroku.AddOnAttachment> & {
    config_vars: Heroku.AddOn['config_vars'];
    addon: AddOnWithRelatedData;
};
