import * as Heroku from '@heroku-cli/schema';
import { APIClient } from '@heroku-cli/command';
/**
 * @description Resolves an addon based on addon name or env var. If passed an env var, app is required by the api.
 */
export declare function resolveAddon(heroku: APIClient, addonNameOrEnvVar: string, app?: string): Promise<Heroku.AddOn>;
