import * as Heroku from '@heroku-cli/schema';
import { APIClient } from '@heroku-cli/command';
export declare const waitForAddonProvisioning: (api: APIClient, addon: Heroku.AddOn, interval: number) => Promise<{
    [x: string]: any;
    actions?: {
        [k: string]: any;
    }[];
    addon_service?: {
        id?: string;
        name?: string;
        [k: string]: any;
    };
    billing_entity?: {
        id?: string;
        name?: string;
        type?: "app" | "team";
        [k: string]: any;
    };
    app?: {
        id?: string;
        name?: string;
        [k: string]: any;
    };
    billed_price?: {
        [k: string]: any;
    } | null;
    config_vars?: string[];
    created_at?: string;
    id?: string;
    name?: string;
    plan?: {
        id?: string;
        name?: string;
        [k: string]: any;
    };
    provider_id?: string;
    state?: "provisioning" | "provisioned" | "deprovisioned";
    updated_at?: string;
    web_url?: null | string;
}>;
export declare const waitForAddonDeprovisioning: (api: APIClient, addon: Heroku.AddOn, interval: number) => Promise<{
    [x: string]: any;
    actions?: {
        [k: string]: any;
    }[];
    addon_service?: {
        id?: string;
        name?: string;
        [k: string]: any;
    };
    billing_entity?: {
        id?: string;
        name?: string;
        type?: "app" | "team";
        [k: string]: any;
    };
    app?: {
        id?: string;
        name?: string;
        [k: string]: any;
    };
    billed_price?: {
        [k: string]: any;
    } | null;
    config_vars?: string[];
    created_at?: string;
    id?: string;
    name?: string;
    plan?: {
        id?: string;
        name?: string;
        [k: string]: any;
    };
    provider_id?: string;
    state?: "provisioning" | "provisioned" | "deprovisioned";
    updated_at?: string;
    web_url?: null | string;
}>;
